#ifndef EXCELSIOR_DRAW_H
#define EXCELSIOR_DRAW_H

#include "terranova_types.h"
#include "terranova_style.h"

#include <gtk/gtk.h>
#include <gdk/gdk.h>

#include <cairo.h>

GE_INTERNAL void terranova_register_style_nova (terranovaStyleFunctions *functions);

/* Fallback focus function */
GE_INTERNAL void terranova_draw_focus (cairo_t *cr,
                                        const terranovaColors *colors,
                                        const WidgetParameters *widget,
                                        const FocusParameters  *focus,
                                        int x, int y, int width, int height);

#endif /* EXCELSIOR_DRAW_H */
